package com.ruoyi.project.system.domain;

import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 工艺分类对象 product_craft_cate
 *
 * @author zhu
 * @date 2023-10-26
 */
@Data
@Accessors(chain = true)
public class ProductCraftCate extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 工艺分类名称
     */
    @Excel(name = "工艺分类名称")
    private String title;

    /**
     * 是否必选0:否1是
     */
    @Excel(name = "是否必选0:否1是")
    private Boolean isReq;

    /**
     * 是否单选0否1是
     */
    @Excel(name = "是否单选0否1是")
    private Boolean isOnly;

    /**
     * 商品id
     */
    @Excel(name = "商品id")
    private Long productId;

    /**
     * 材质id
     */
    @Excel(name = "材质id")
    private Long materialId;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("title", getTitle())
                .append("isReq", getIsReq())
                .append("isOnly", getIsOnly())
                .append("productId", getProductId())
                .append("materialId", getMaterialId())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
